<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.datarecovery.master">

    <!-- 允许访问网络，必选权限 -->
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission
        android:name="android.permission.MANAGE_EXTERNAL_STORAGE"
        tools:ignore="ScopedStorage" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />

    <application
        android:name=".App"
        android:allowBackup="false"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/network_config"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.DataRecover"
        tools:ignore="LockedOrientationActivity"
        tools:replace="android:allowBackup"
        tools:targetApi="32">

        <activity
            android:name=".module.wechat.WechatEntryActivity"
            android:exported="true"
            android:launchMode="singleTask"

            android:screenOrientation="portrait"
            android:taskAffinity="${applicationId}"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />


        <activity-alias
            android:name="${applicationId}.wxapi.WXEntryActivity"
            android:exported="true"
            android:targetActivity=".module.wechat.WechatEntryActivity" />

        <activity
            android:name=".module.splash.SplashActivity"
            android:exported="true"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Splash">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:launchMode="singleTask"
            android:name=".module.main.MainActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".module.about.AboutActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".module.browser.BrowserActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".module.feedback.UserFeedbackActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".module.login.LoginActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".module.imgrecover.ImageRecoverActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".module.preview.PreviewActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".module.videorecover.VideoRecoverActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".module.filerecover.FileRecoverActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".module.audiorecover.AudioRecoverActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".module.member.MemberActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".module.wxrecover.WeChatRecoverActivity"
            android:screenOrientation="portrait" />


    </application>

</manifest>